<?php

	$katib_writers_theme_color_first = get_theme_mod('katib_writers_theme_color_first');

	$custom_css = '';

	if($katib_writers_theme_color_first != false){
		$custom_css .='.readbutton a, #about .aboutbtn a, .woocommerce span.onsale, .woocommerce #respond input#submit, .woocommerce a.button, .woocommerce button.button, .woocommerce input.button,.woocommerce #respond input#submit.alt, .woocommerce a.button.alt, .woocommerce button.button.alt, .woocommerce input.button.alt, nav.woocommerce-MyAccount-navigation ul li,.post-link a, .post-info, #sidebox h2, button.search-submit:hover, .site-footer, .copyright, button, input[type="button"], input[type="submit"],.comment-reply-link,.search-form button.search-submit,.tags p a,.post-navigation .nav-next a,.post-navigation .nav-previous a,.page-numbers{';
			$custom_css .='background-color: '.esc_html($katib_writers_theme_color_first).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_first != false){
		$custom_css .='.logo h1 a,a, .search-box span i,#banner .box-content p, .logo p, .contact span, #about .about-text h3, .main-navigation ul ul li a, .main-navigation a, #banner .box-content h2, .woocommerce-info::before, .woocommerce-message::before,.main-navigation ul ul li a,.main-navigation li li:focus > a, .main-navigation li li:hover > a, #sidebox .textwidget p a,.site-title a, .search-box i{';
			$custom_css .='color: '.esc_html($katib_writers_theme_color_first).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_first != false){
		$custom_css .='.main-navigation ul ul, .woocommerce-info, .woocommerce-message{';
			$custom_css .='border-color: '.esc_html($katib_writers_theme_color_first).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_first != false){
		$custom_css .='.main-navigation ul ul li:hover{';
			$custom_css .='border-left-color: '.esc_html($katib_writers_theme_color_first).';';
		$custom_css .='}';
	}
	
	/*---------------------------Theme color option-------------------*/

	$katib_writers_theme_color_second = get_theme_mod('katib_writers_theme_color_second');

	if($katib_writers_theme_color_second != false){
		$custom_css .='#banner .social-media i:hover, .readbutton a:hover, #about .aboutbtn a:hover, .woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover, .woocommerce input.button:hover,.woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, .post-link a:hover, .search-form button.search-submit,.scrollup i,.page-numbers:hover, .prev.page-numbers:hover,.tags p a:hover,.post-navigation .nav-next a:hover, .post-navigation .nav-previous a:hover,.widget .tagcloud a:hover{';
			$custom_css .='background-color: '.esc_html($katib_writers_theme_color_second).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_second != false){
		$custom_css .='#banner .box-content p i,#banner .box-content p i, .contact i, .main-navigation a:hover,.post-info a:hover,#sidebox ul li a:hover{';
			$custom_css .='color: '.esc_html($katib_writers_theme_color_second).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_second != false){
		$custom_css .='.scrollup i{';
			$custom_css .='border-color: '.esc_html($katib_writers_theme_color_second).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_second != false){
		$custom_css .='.copyright{';
			$custom_css .='border-top-color: '.esc_html($katib_writers_theme_color_second).';';
		$custom_css .='}';
	}
	if($katib_writers_theme_color_second != false){
		$custom_css .='.site-footer ul li a:hover{';
			$custom_css .='color: '.esc_html($katib_writers_theme_color_second).'!important;';
		$custom_css .='}';
	}

	/*---------------------------Width Layout -------------------*/

	$theme_lay = get_theme_mod( 'katib_writers_theme_options','Default');
    if($theme_lay == 'Default'){
		$custom_css .='body{';
			$custom_css .='max-width: 100%;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-home-page .middle-header{';
			$custom_css .='width: 97.3%';
		$custom_css .='}';
	}else if($theme_lay == 'Wide Layout'){
		$custom_css .='body{';
			$custom_css .='width: 100%;padding-right: 15px;padding-left: 15px;margin-right: auto;margin-left: auto;';
		$custom_css .='}';
		$custom_css .='.page-template-custom-home-page .middle-header{';
			$custom_css .='width: 97.7%';
		$custom_css .='}';
	}else if($theme_lay == 'Box Layout'){
		$custom_css .='body{';
			$custom_css .='max-width: 1140px; width: 100%; padding-right: 15px; padding-left: 15px; margin-right: auto; margin-left: auto;';
		$custom_css .='}';
	}

	/*--------------------------- Slider Opacity -------------------*/

	$slider_layout = get_theme_mod( 'katib_writers_slider_opacity_color','0.3');
	if($slider_layout == '0'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0';
		$custom_css .='}';
		}else if($slider_layout == '0.1'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.1';
		$custom_css .='}';
		}else if($slider_layout == '0.2'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.2';
		$custom_css .='}';
		}else if($slider_layout == '0.3'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.3';
		$custom_css .='}';
		}else if($slider_layout == '0.4'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.4';
		$custom_css .='}';
		}else if($slider_layout == '0.5'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.5';
		$custom_css .='}';
		}else if($slider_layout == '0.6'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.6';
		$custom_css .='}';
		}else if($slider_layout == '0.7'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.7';
		$custom_css .='}';
		}else if($slider_layout == '0.8'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.8';
		$custom_css .='}';
		}else if($slider_layout == '0.9'){
		$custom_css .='#banner img{';
			$custom_css .='opacity:0.9';
		$custom_css .='}';
		}

	/*---------------------------Slider Content Layout -------------------*/

	$slider_layout = get_theme_mod( 'katib_writers_slider_content_option','Left');
    if($slider_layout == 'Left'){
		$custom_css .='#banner .box-content, #banner .box-content h1, #banner .box-content p, #banner .box-content .readbutton{';
			$custom_css .='text-align:left;';
		$custom_css .='}';
		$custom_css .='
		@media screen and (max-width: 767px){
		#banner .box-content, #banner .box-content h1, #banner .box-content p, #banner .box-content .readbutton, .social-media{';
		$custom_css .='text-align:left;';
		$custom_css .='} }';
		$custom_css .='
		@media screen and (max-width: 767px){
		#banner .box-content{';
		$custom_css .='top:48%;';
		$custom_css .='} }';
	}else if($slider_layout == 'Center'){
		$custom_css .='#banner .box-content, #banner .box-content h1, #banner .box-content p, #banner .box-content .readbutton{';
			$custom_css .='text-align:center; left:20%; right:20%;';
		$custom_css .='}';
		$custom_css .='
		@media screen and (max-width: 767px){
		#banner .box-content{';
		$custom_css .='top:48%;';
		$custom_css .='} }';
	}else if($slider_layout == 'Right'){
		$custom_css .='#banner .box-content, #banner .box-content h1, #banner .box-content p, #banner .box-content .readbutton{';
			$custom_css .='text-align:right; left:30%; right:10%;';
		$custom_css .='}';
		$custom_css .='
		@media screen and (max-width: 375px){
		#banner .box-content, #banner .box-content h1, #banner .box-content p, #banner .box-content .readbutton, .social-media{';
		$custom_css .='text-align:right; left:15%';
		$custom_css .='} }';
		$custom_css .='
		@media screen and (max-width: 767px){
		#banner .box-content{';
		$custom_css .='top:48%;';
		$custom_css .='} }';
	}

	/*------------------------------ Button Settings option-----------------------*/

	$katib_writers_top_bottom_padding = get_theme_mod('katib_writers_top_bottom_padding');
	$katib_writers_left_right_padding = get_theme_mod('katib_writers_left_right_padding');
	if($katib_writers_top_bottom_padding != false || $katib_writers_left_right_padding != false){
		$custom_css .='.post-link a, #banner .readbutton a, .form-submit input[type="submit"], #about .aboutbtn a{';
			$custom_css .='padding-top: '.esc_html($katib_writers_top_bottom_padding).'px; padding-bottom: '.esc_html($katib_writers_top_bottom_padding).'px; padding-left: '.esc_html($katib_writers_left_right_padding).'px; padding-right: '.esc_html($katib_writers_left_right_padding).'px; display:inline-block;';
		$custom_css .='}';
	}

	$katib_writers_border_radius = get_theme_mod('katib_writers_border_radius');
	if($katib_writers_border_radius != false){
		$custom_css .='.post-link a, #banner .readbutton a, .form-submit input[type="submit"], #about .aboutbtn a{';
			$custom_css .='border-radius: '.esc_html($katib_writers_border_radius).'px;';
		$custom_css .='}';
	}



